Page MenuHomePhabricator

Rationalize wgEchoDefaultNotificationTypes
Closed, ResolvedPublic

Description

Very confusingly, the keys to this are both categories and types, without any way of distinguishing.

In practice, we have do have categories and types with the same name. Not only that, but sometimes they are not one-type categories. E.g. the 'edit-thank' category has the 'edit-thank' and 'flow-thank' types. There is no way of specifying behavior for the type without accidentally affecting the category.

https://phabricator.wikimedia.org/diffusion/ECHO/browse/master/Hooks.php;db8728aad053f1b9d120588fd072048d517e68fc$371

https://phabricator.wikimedia.org/diffusion/ECHO/browse/master/includes/controller/NotificationController.php;db8728aad053f1b9d120588fd072048d517e68fc$143 (note the parameter to getEventNotifyTypes comes from getType, not getCategory.

'all' is not that big a problem, but if we're breaking compatibility anyway, we might as well separate this out.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 15 2016, 8:48 PM

Change 284124 had a related patch set uploaded (by Mattflaschen):
WIP: BREAKING CHANGE: Change $wgEchoDefaultNotificationTypes to be logical

https://gerrit.wikimedia.org/r/284124

Change 284513 had a related patch set uploaded (by Mattflaschen):
Use $wgNotifyTypeAvailabilityByNotificationType due to Echo change

https://gerrit.wikimedia.org/r/284513

Change 284515 had a related patch set uploaded (by Mattflaschen):
Use $wgNotifyTypeAvailabilityByNotificationType due to Echo change

https://gerrit.wikimedia.org/r/284515

Change 284124 merged by jenkins-bot:
BREAKING CHANGE: Change $wgEchoDefaultNotificationTypes to be logical

https://gerrit.wikimedia.org/r/284124

Change 284513 merged by jenkins-bot:
Use notify-type-availability due to Echo change

https://gerrit.wikimedia.org/r/284513

Change 284515 merged by jenkins-bot:
Use notify-type-availability due to Echo change

https://gerrit.wikimedia.org/r/284515

Mentioned in SAL [2016-04-25T16:34:06Z] <jzerebecki@tin> Synchronized wmf-config/CommonSettings.php: config 3bd39b8b9ac9fb252ff8a3e9a93b14c1defd45fc T132820 : Use notify-type-availability due to Echo change (duration: 00m 26s)

jmatazzoni closed this task as Resolved.Apr 29 2016, 4:36 PM